<?php
$tdatareporte_participante_log = array();
$tdatareporte_participante_log[".searchableFields"] = array();
$tdatareporte_participante_log[".ShortName"] = "reporte_participante_log";
$tdatareporte_participante_log[".OwnerID"] = "";
$tdatareporte_participante_log[".OriginalTable"] = "log_participante";


$tdatareporte_participante_log[".pagesByType"] = my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" );
$tdatareporte_participante_log[".originalPagesByType"] = $tdatareporte_participante_log[".pagesByType"];
$tdatareporte_participante_log[".pages"] = types2pages( my_json_decode( "{\"report\":[\"report\"],\"rprint\":[\"rprint\"],\"search\":[\"search\"]}" ) );
$tdatareporte_participante_log[".originalPages"] = $tdatareporte_participante_log[".pages"];
$tdatareporte_participante_log[".defaultPages"] = my_json_decode( "{\"report\":\"report\",\"rprint\":\"rprint\",\"search\":\"search\"}" );
$tdatareporte_participante_log[".originalDefaultPages"] = $tdatareporte_participante_log[".defaultPages"];

//	field labels
$fieldLabelsreporte_participante_log = array();
$fieldToolTipsreporte_participante_log = array();
$pageTitlesreporte_participante_log = array();
$placeHoldersreporte_participante_log = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreporte_participante_log["Spanish"] = array();
	$fieldToolTipsreporte_participante_log["Spanish"] = array();
	$placeHoldersreporte_participante_log["Spanish"] = array();
	$pageTitlesreporte_participante_log["Spanish"] = array();
	$fieldLabelsreporte_participante_log["Spanish"]["id"] = "Id";
	$fieldToolTipsreporte_participante_log["Spanish"]["id"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["id"] = "";
	$fieldLabelsreporte_participante_log["Spanish"]["Responsable"] = "Responsable";
	$fieldToolTipsreporte_participante_log["Spanish"]["Responsable"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["Responsable"] = "";
	$fieldLabelsreporte_participante_log["Spanish"]["Fecha"] = "Fecha";
	$fieldToolTipsreporte_participante_log["Spanish"]["Fecha"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["Fecha"] = "";
	$fieldLabelsreporte_participante_log["Spanish"]["Action"] = "Action";
	$fieldToolTipsreporte_participante_log["Spanish"]["Action"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["Action"] = "";
	$fieldLabelsreporte_participante_log["Spanish"]["ip"] = "Ip";
	$fieldToolTipsreporte_participante_log["Spanish"]["ip"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["ip"] = "";
	$fieldLabelsreporte_participante_log["Spanish"]["Detalle"] = "Detalle";
	$fieldToolTipsreporte_participante_log["Spanish"]["Detalle"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["Detalle"] = "";
	$fieldLabelsreporte_participante_log["Spanish"]["placa"] = "Placa";
	$fieldToolTipsreporte_participante_log["Spanish"]["placa"] = "";
	$placeHoldersreporte_participante_log["Spanish"]["placa"] = "";
	if (count($fieldToolTipsreporte_participante_log["Spanish"]))
		$tdatareporte_participante_log[".isUseToolTips"] = true;
}


	$tdatareporte_participante_log[".NCSearch"] = true;



$tdatareporte_participante_log[".shortTableName"] = "reporte_participante_log";
$tdatareporte_participante_log[".nSecOptions"] = 0;

$tdatareporte_participante_log[".mainTableOwnerID"] = "";
$tdatareporte_participante_log[".entityType"] = 2;
$tdatareporte_participante_log[".connId"] = "bsn_dividendos_at_localhost";


$tdatareporte_participante_log[".strOriginalTableName"] = "log_participante";

	



$tdatareporte_participante_log[".showAddInPopup"] = false;

$tdatareporte_participante_log[".showEditInPopup"] = false;

$tdatareporte_participante_log[".showViewInPopup"] = false;

$tdatareporte_participante_log[".listAjax"] = false;
//	temporary
//$tdatareporte_participante_log[".listAjax"] = false;

	$tdatareporte_participante_log[".audit"] = false;

	$tdatareporte_participante_log[".locking"] = false;


$pages = $tdatareporte_participante_log[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareporte_participante_log[".edit"] = true;
	$tdatareporte_participante_log[".afterEditAction"] = 1;
	$tdatareporte_participante_log[".closePopupAfterEdit"] = 1;
	$tdatareporte_participante_log[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareporte_participante_log[".add"] = true;
$tdatareporte_participante_log[".afterAddAction"] = 1;
$tdatareporte_participante_log[".closePopupAfterAdd"] = 1;
$tdatareporte_participante_log[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareporte_participante_log[".list"] = true;
}



$tdatareporte_participante_log[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareporte_participante_log[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareporte_participante_log[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareporte_participante_log[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareporte_participante_log[".printFriendly"] = true;
}



$tdatareporte_participante_log[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareporte_participante_log[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareporte_participante_log[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareporte_participante_log[".isUseAjaxSuggest"] = true;



																																													

$tdatareporte_participante_log[".ajaxCodeSnippetAdded"] = false;

$tdatareporte_participante_log[".buttonsAdded"] = false;

$tdatareporte_participante_log[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareporte_participante_log[".isUseTimeForSearch"] = false;


$tdatareporte_participante_log[".badgeColor"] = "EDCA00";


$tdatareporte_participante_log[".allSearchFields"] = array();
$tdatareporte_participante_log[".filterFields"] = array();
$tdatareporte_participante_log[".requiredSearchFields"] = array();

$tdatareporte_participante_log[".googleLikeFields"] = array();
$tdatareporte_participante_log[".googleLikeFields"][] = "placa";
$tdatareporte_participante_log[".googleLikeFields"][] = "Detalle";
$tdatareporte_participante_log[".googleLikeFields"][] = "Responsable";
$tdatareporte_participante_log[".googleLikeFields"][] = "ip";
$tdatareporte_participante_log[".googleLikeFields"][] = "id";
$tdatareporte_participante_log[".googleLikeFields"][] = "Fecha";
$tdatareporte_participante_log[".googleLikeFields"][] = "Action";



$tdatareporte_participante_log[".tableType"] = "report";

$tdatareporte_participante_log[".printerPageOrientation"] = 0;
$tdatareporte_participante_log[".nPrinterPageScale"] = 100;

$tdatareporte_participante_log[".nPrinterSplitRecords"] = 40;

$tdatareporte_participante_log[".geocodingEnabled"] = false;

//report settings

$tdatareporte_participante_log[".reportPrintGroupsPerPage"] = 3;
$tdatareporte_participante_log[".reportPrintRecordsPerPage"] = 40;

$tdatareporte_participante_log[".pageSizeGroups"] = 5;
$tdatareporte_participante_log[".pageSizeRecords"] = 20;


//end of report settings






$tdatareporte_participante_log[".noRecordsFirstPage"] = true;




$tstrOrderBy = "";
$tdatareporte_participante_log[".strOrderBy"] = $tstrOrderBy;

$tdatareporte_participante_log[".orderindexes"] = array();


$tdatareporte_participante_log[".sqlHead"] = "SELECT pro_participante.placa,     	log_participante.Detalle,   	log_participante.Responsable,   	log_participante.ip,   	log_participante.id,   	log_participante.Fecha,   	log_participante.Action";
$tdatareporte_participante_log[".sqlFrom"] = "FROM  	log_participante  	INNER JOIN  	pro_participante  	ON   		log_participante.id_participante = pro_participante.id";
$tdatareporte_participante_log[".sqlWhereExpr"] = "";
$tdatareporte_participante_log[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareporte_participante_log[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareporte_participante_log[".arrGroupsPerPage"] = $arrGPP;

$tdatareporte_participante_log[".highlightSearchResults"] = true;

$tableKeysreporte_participante_log = array();
$tableKeysreporte_participante_log[] = "id";
$tdatareporte_participante_log[".Keys"] = $tableKeysreporte_participante_log;


$tdatareporte_participante_log[".hideMobileList"] = array();




//	placa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "placa";
	$fdata["GoodName"] = "placa";
	$fdata["ownerTable"] = "pro_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","placa");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "placa";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pro_participante.placa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
			$edata["validateAs"]["basicValidate"][] = "DenyDuplicated";
	$edata["validateAs"]["customMessages"]["DenyDuplicated"] = array("message" => "La %value% ya fue registrada", "messageType" => "Text");

	
//	End validation

	
	
	
		$edata["denyDuplicates"] = true;

	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["placa"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "placa";
//	Detalle
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Detalle";
	$fdata["GoodName"] = "Detalle";
	$fdata["ownerTable"] = "log_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","Detalle");
	$fdata["FieldType"] = 201;


	
	
			

		$fdata["strField"] = "Detalle";

		$fdata["sourceSingle"] = "Detalle";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "log_participante.Detalle";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
	
	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 150;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["Detalle"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "Detalle";
//	Responsable
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Responsable";
	$fdata["GoodName"] = "Responsable";
	$fdata["ownerTable"] = "log_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","Responsable");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Responsable";

		$fdata["sourceSingle"] = "responsable";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "log_participante.Responsable";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["Responsable"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "Responsable";
//	ip
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "ip";
	$fdata["GoodName"] = "ip";
	$fdata["ownerTable"] = "log_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","ip");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "ip";

		$fdata["sourceSingle"] = "ip";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "log_participante.ip";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=40";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["ip"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "ip";
//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "log_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","id");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id";

		$fdata["sourceSingle"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "log_participante.id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["id"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "id";
//	Fecha
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Fecha";
	$fdata["GoodName"] = "Fecha";
	$fdata["ownerTable"] = "log_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","Fecha");
	$fdata["FieldType"] = 135;


	
	
			

		$fdata["strField"] = "Fecha";

		$fdata["sourceSingle"] = "fecha";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "log_participante.Fecha";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Datetime");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Date");

		$edata["ShowTime"] = true;

		$edata["weekdayMessage"] = array("message" => "Invalid week day", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
		$edata["DateEditType"] = 2;
	$edata["InitialYearFactor"] = 100;
	$edata["LastYearFactor"] = 10;

	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Between";

			// the default search options list
				$fdata["searchOptionsList"] = array("Equals", "More than", "Less than", "Between", EMPTY_SEARCH, NOT_EMPTY );
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["Fecha"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "Fecha";
//	Action
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Action";
	$fdata["GoodName"] = "Action";
	$fdata["ownerTable"] = "log_participante";
	$fdata["Label"] = GetFieldLabel("Reporte_Participante_Log","Action");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "Action";

		$fdata["sourceSingle"] = "Action";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "log_participante.Action";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["report"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=250";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
	
	
	
	
	$fdata["EditFormats"]["search"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareporte_participante_log["Action"] = $fdata;
		$tdatareporte_participante_log[".searchableFields"][] = "Action";


$tables_data["Reporte Participante Log"]=&$tdatareporte_participante_log;
$field_labels["Reporte_Participante_Log"] = &$fieldLabelsreporte_participante_log;
$fieldToolTips["Reporte_Participante_Log"] = &$fieldToolTipsreporte_participante_log;
$placeHolders["Reporte_Participante_Log"] = &$placeHoldersreporte_participante_log;
$page_titles["Reporte_Participante_Log"] = &$pageTitlesreporte_participante_log;


changeTextControlsToDate( "Reporte Participante Log" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["Reporte Participante Log"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["Reporte Participante Log"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reporte_participante_log()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "pro_participante.placa,     	log_participante.Detalle,   	log_participante.Responsable,   	log_participante.ip,   	log_participante.id,   	log_participante.Fecha,   	log_participante.Action";
$proto0["m_strFrom"] = "FROM  	log_participante  	INNER JOIN  	pro_participante  	ON   		log_participante.id_participante = pro_participante.id";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "placa",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto6["m_sql"] = "pro_participante.placa";
$proto6["m_srcTableName"] = "Reporte Participante Log";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Detalle",
	"m_strTable" => "log_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto8["m_sql"] = "log_participante.Detalle";
$proto8["m_srcTableName"] = "Reporte Participante Log";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Responsable",
	"m_strTable" => "log_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto10["m_sql"] = "log_participante.Responsable";
$proto10["m_srcTableName"] = "Reporte Participante Log";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "ip",
	"m_strTable" => "log_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto12["m_sql"] = "log_participante.ip";
$proto12["m_srcTableName"] = "Reporte Participante Log";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "log_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto14["m_sql"] = "log_participante.id";
$proto14["m_srcTableName"] = "Reporte Participante Log";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "Fecha",
	"m_strTable" => "log_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto16["m_sql"] = "log_participante.Fecha";
$proto16["m_srcTableName"] = "Reporte Participante Log";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Action",
	"m_strTable" => "log_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto18["m_sql"] = "log_participante.Action";
$proto18["m_srcTableName"] = "Reporte Participante Log";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto20=array();
$proto20["m_link"] = "SQLL_MAIN";
			$proto21=array();
$proto21["m_strName"] = "log_participante";
$proto21["m_srcTableName"] = "Reporte Participante Log";
$proto21["m_columns"] = array();
$proto21["m_columns"][] = "Action";
$proto21["m_columns"][] = "Detalle";
$proto21["m_columns"][] = "Fecha";
$proto21["m_columns"][] = "id";
$proto21["m_columns"][] = "id_participante";
$proto21["m_columns"][] = "ip";
$proto21["m_columns"][] = "Responsable";
$obj = new SQLTable($proto21);

$proto20["m_table"] = $obj;
$proto20["m_sql"] = "log_participante";
$proto20["m_alias"] = "";
$proto20["m_srcTableName"] = "Reporte Participante Log";
$proto22=array();
$proto22["m_sql"] = "";
$proto22["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto22["m_column"]=$obj;
$proto22["m_contained"] = array();
$proto22["m_strCase"] = "";
$proto22["m_havingmode"] = false;
$proto22["m_inBrackets"] = false;
$proto22["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto22);

$proto20["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto20);

$proto0["m_fromlist"][]=$obj;
												$proto24=array();
$proto24["m_link"] = "SQLL_INNERJOIN";
			$proto25=array();
$proto25["m_strName"] = "pro_participante";
$proto25["m_srcTableName"] = "Reporte Participante Log";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "apellido_materno";
$proto25["m_columns"][] = "apellido_paterno";
$proto25["m_columns"][] = "ci";
$proto25["m_columns"][] = "create_date";
$proto25["m_columns"][] = "estado_participante";
$proto25["m_columns"][] = "fecha";
$proto25["m_columns"][] = "fecha_registro";
$proto25["m_columns"][] = "id";
$proto25["m_columns"][] = "id_promocion";
$proto25["m_columns"][] = "nombres";
$proto25["m_columns"][] = "placa";
$proto25["m_columns"][] = "procedencia";
$proto25["m_columns"][] = "responsable";
$proto25["m_columns"][] = "telefono";
$proto25["m_columns"][] = "tipo_vehiculo";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "INNER JOIN  	pro_participante  	ON   		log_participante.id_participante = pro_participante.id";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "Reporte Participante Log";
$proto26=array();
$proto26["m_sql"] = "pro_participante.id = log_participante.id_participante";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "pro_participante",
	"m_srcTableName" => "Reporte Participante Log"
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "= log_participante.id_participante";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="Reporte Participante Log";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reporte_participante_log = createSqlQuery_reporte_participante_log();


	
		;

							

$tdatareporte_participante_log[".sqlquery"] = $queryData_reporte_participante_log;



$tdatareporte_participante_log[".hasEvents"] = false;

?>